<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="fill_parent"
    android:orientation="horizontal" >

    <fragment
        android:id="@+id/map"
        android:tag="mapa"
        android:name="com.google.android.gms.maps.SupportMapFragment"
        android:layout_width="500dp"
        android:layout_height="match_parent" />


    <Button
        android:id="@+id/button_draw_path"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_toRightOf="@+id/map"
        android:text="@string/draw_path" />

    <Button
        android:id="@+id/button_clear_all"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@id/button_draw_path"
        android:layout_toRightOf="@+id/map"
        android:text="@string/clear_all" />

    <TextView
        android:id="@+id/depth_label"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/button_clear_all"
        android:layout_toRightOf="@+id/map"
        android:ems="14"
        android:gravity="center"
        android:paddingTop="5dp"
        android:text="@string/depth" />

    <TextView
        android:id="@+id/depth"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/depth_label"
        android:layout_toRightOf="@+id/map"
        android:ems="12"
        android:gravity="center"
        android:paddingBottom="10dp"
        android:paddingTop="5dp"
        android:text="0.0 m" />

    <TextView
        android:id="@+id/maxDiveTimeLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/depth"
        android:layout_toRightOf="@+id/map"
        android:background="@color/green"
        android:ems="12"
        android:gravity="center"
        android:paddingTop="5dp"
        android:text="Maximum dive time:"
        android:textSize="14sp" />

    <TextView
        android:id="@+id/maxDiveTime"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/maxDiveTimeLabel"
        android:layout_toRightOf="@+id/map"
        android:background="@color/green"
        android:ems="12"
        android:gravity="center"
        android:paddingTop="5dp"
        android:text="Calculating..."
        android:textSize="14sp" />

    <Chronometer
        android:id="@+id/chronometer1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/maxDiveTime"
        android:layout_toRightOf="@+id/map"
        android:background="@color/green"
        android:gravity="center"
        android:padding="4dp"
        android:text="Chronometer" />

    <Button
        android:id="@+id/button_ascent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@id/chronometer1"
        android:layout_toRightOf="@+id/map"
        android:enabled="false"
        android:text="@string/ascent" />

</RelativeLayout>